Bug 1328607 - RFE: Enable can-dev module
Summary: RFE: Enable can-dev module
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.3
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Clark Williams
QA Contact: Jiri Kastner
Maxim Svistunov
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1274397 1336502 1337031
TreeView+ depends on / blocked
 
Reported: 2016-04-19 20:22 UTC by Daniel Bristot de Oliveira
Modified: 2016-11-03 19:47 UTC (History)
5 users (show)

(edit)
The *can-dev* module has been enabled for the real-time kernel

The *can-dev* module has been enabled for the real-time kernel, providing the device interface for Controller Area Network (CAN) device drivers. CAN is a vehicle bus specification originally intended to connect the various micro-controllers in automobiles and has since extended to other areas. CAN is also used in industrial and machine controls where a high performance interface is required and other interfaces such as RS-485 are not sufficient.

The functions exported from the *can-dev* module are used by CAN device drivers to make the kernel aware of the devices and to allow applications to connect and transfer data.

Enabling CAN in the real-time kernel allows the use of third party CAN drivers and applications to implement CAN-based systems.
Clone Of:
: 1336502 1337031 (view as bug list)
(edit)
Last Closed: 2016-11-03 19:47:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2584 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-11-03 12:08:49 UTC

Description Daniel Bristot de Oliveira 2016-04-19 20:22:54 UTC
Description of problem:

A customer is requesting the can-dev.ko module in the kernel-rt. Is it possible?

Customer info:
Account Name:	MIT Lincoln Laboratory
Contact Name:	Jason Stewart
Account Number:	5366424

Comment 26 Daniel Bristot de Oliveira 2016-07-01 18:25:57 UTC
Hi Maxim,

As a customer, you need to buy a subscription. The subscription will be associated with your account, and you will be able to register your system using the subscription manager. If your system is not registered on subscription manager, or if it is but you do not have RHEL-RT subscriptions, the command you pointed will fail.

Why do you need to simulate a user installing the kernel -rt (including the subscription test) on the BZ? am I missing something?

Comment 36 errata-xmlrpc 2016-11-03 19:47:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2584.html


Note You need to log in before you can comment on or make changes to this bug.